

;*********** [ Blei-Akku-Lader fr 12 und 24 Volt ] *******************
;
;   Datei:		DEF.INC
;   Autor:		Hanno Grff
;   Version:	1.3
;   Datum:		August 2007
;
;   Compiler:	Atmel AVR Assembler
;
;
;**********************************************************************


.equ	ADC_V_Channel			=0x41	; Battery Voltage Channel			 VBAT
										; 01000001 = 1<<REFS0 | 1<< MUX0	 ADC1


.equ	ADC_Diff_Channel		=0x4E	; ADC_diff_Channel					 IBAT/VBAT * 20
										; 01001110 = 1<<REFS0 |1<<	MUX1,2,3 ADC2/ADC1 * 20
																								

;PORTB
.equ PWM_PIN			= PINB1
.equ Taste1				= PINB3
.equ Taste2				= PINB4
.equ PIN_LCD_Enable		= PINB5
.equ PIN_LCD_RS			= PINB6


;PORTA
.equ PIN_LCD_D4			= PINA4
.equ PIN_LCD_D5			= PINA5
.equ PIN_LCD_D6			= PINA6
.equ PIN_LCD_D7			= PINA7

.equ Key_Port			= PINB



;************************* Register ********************************************************

;.def							=r0
.def	IWR0					=r1
.def	IWR1					=r2

.def	Key_State				=r3
.def	Key_Press				=r4
.def	Key_Old					=r5

.def	AV_l					=r6		; Low Byte (ADC-Messung)
.def	AV_h					=r7		; High Byte (ADC-Messung)
.def	I_charge_l				=r8
.def	I_charge_h				=r9		; Fast-Current
.def	Fast_v_l				=r10	; Ladeschluspannung Low-Byte
.def	Fast_v_h				=r11	; dito High-Byte
.def	Trickle_v_l				=r12		; Erhaltungs-Ladespannung Low-byte
.def	Trickle_v_h				=r13		; dito High-Byte

.def	I_adjust				=r14	; Korrekturwert fr LCD-Stromanzeige
.def	Zero					=r15	; Null-Register
.def	UL						=r16	; Universalregister Low-Byte
.def	UH						=r17	; Universalregister High-Byte
.def	T_Msec					=r18	; Milli-Sekundem
.def	T_Sec					=r19	; Sekunden
.def	T_Min					=r20	; Minuten

.def	AL						=r22	; 
.def	AH						=r23	; 
.def	BL						=r24	; 
.def	BH						=r25	; 
.def	CL						=r26	; 
.def	CH						=r27	; 

.def	V_Flag					=r29
.def	Zl						=r30
.def	Zh						=r31

